### Faster Interactables
Ever thought waiting 4 seconds for a Printer was too long.\
Ever thought entirely removing the wait and animation was weird.\
This mod might be for you.

Changes Printers from 4 seconds to 1.85 seconds. (Shorter values look weird with the animation)\
Changes Scrappers from 4.5 seconds to 1.65 seconds.\
Changes Shrines from 2 seconds to 1 second.

### More Ping Icons and other QoL
![](https://cdn.discordapp.com/attachments/743886063738683413/900120860717883443/unknown.png)

A Unique Ping Icon for;  All Chests, All Shrines, All Drones, All Printers, Scrappers, Cauldrons, Lunar Seers, Rusty Lockboxes, and generic misc Ping Icons for other interactables such as Fans.

The goal is to have less unnecessary ? symbols and misleading Chest symbols, but it sorta spiraled into having one icon for everything.

### Additional Features:

* A Cost Hologram to Cleansing Shrines, Rusty Lockboxes, Lunar Recycler and Broken Rex as they Lacked one.
* A bug fix for Cleansing Pool item pools breaking.
* A Position Indicator for Void Field Cell events so you can see the charge percentage when active.
* Twisted Scavengers now hold Beads of Fealty.
* Ability to change colors used for Elite/Boss/Lunar Equipment incase you want Yellow Elite or if you want both to have unique colors.
* Elite Aspects, Volatile Battery, Twisted Scav, Newt and Malachite Urchin show up in the Logbook.
* A unique icon for Engineer's Walker Turrets and the Probes from Empathy Cores.
* Updated icons for Beetle Guard Allies (red to blue outline) and Missile Drone (didn't have an outline)
* Config to change the Printer model back to the pre-1.0 one which was bigger/bulkier.\
Intended for Green/Red Printers to make them look different. (Turned on by default)
* Winning in a Moment Whole will show a white icon and say At Peace... instead of a blue/purple icon and Fate Unknown...
* A debuff icon for Helfire Tincture burn as it lacked one. (It already counted towards Death Mark)
* Changed color of buffs that use same icon/color as other buffs. (ie Cloak Speed, Whip Speed)
* Added some buff indicators for certain states (Bug Flight, Frozen, Strides) 

## 
Most things are configurable.\
I hope one day this mod will be made partially obsolete as this mod is just most of the suggestions I'd like to see ingame.\
Report suggestion on improving ping icons and bugs to @Wolfo#6210 in the Risk of Rain 2 Modding discord.


## Changelog:
v1.3.5 - Minor Tweaks
* More buff visual config

v1.3.4 - Fixes
* Changed color of buffs that use same icon/color as other buffs. (ie Cloak Speed, Whip Speed)

v1.3.3 
* Tweaks to Limbo Ending
* Config to make Lunar/Boss equips use Lunar/Boss droplets instead of Orange droplets.
* Unique Icons for Empathy Core Probes, Updated Beetle Guard Ally and Missile Drone Icon

v1.3.2 - Hopefully more optimization\
v1.3.1 - "Quick" Lid position fix\
v1.3.0
* Debuff Icon added for Hellfire tincture. 
* Config to invidually change the Printer model to the old ones.

v1.2.8
* Unique Icon for Engineer Walker Turrets

v1.2.7
* Option for more Logbook entries
* Added more Ping Icons.

v1.2.6 - (actiually disabled by default)\
v1.2.5
* Module to change color of Lunar/Elite equipment if you want Yellow Elite Equipment or any unique color for either. (Disabled by default)
* Added more Ping Icons.

v1.2.4 
* More Icons & Config
* Twisted Scavengers now hold Beads of Fealty

v1.2.1 - 1.2.3 - Minor Fixes\
v1.2.0
* Added more Ping Icons

v1.1.2 - Minor Fixes?\
v1.1.1 - Made mod slightly faster

v1.1.0
* Added or Updated Ping Icons for many interactables
* Added Cost Hologram for Lockbox, Cleansing Pool, Broken Rex
* Added Position Indicator to Void Field Cells

v1.0.0 - Release.